Create User Role

Create User Role
Create a user role

Create a user role

Request
URI
POST
https://{api_host}/suite-api/api/auth/roles
COPY
Request Body

The UserRole object

user-role of type(s) application/json
Required

Show optional properties

{
    "name": "string"
}
"{\n  \"name\" : \"API Administrator\",\n  \"description\" : \"Role to allow administrative access to all Suite API methods\",\n  \"privilege-keys\" : [ \"ManageAlerts\", \"ManageAlarms\", \"ManageNotificationPlugins\" ],\n  \"system-created\" : false\n}"
string
description
Optional

The description for the role.

string
displayName
Optional

A role name suitable for display.

array of object
links
Optional

Represents a HTTP 'link' element.
It is implicit that all the link tags support http 'GET' method.

string
name
Required

The name of the role.

array of string
privilege-keys
Optional

The collection of privilege keys

boolean
system-created
Optional

True if this role was created by the system

Authentication
This operation uses the following authentication methods.
Responses
201

The created UserRole

Returns user-role of type(s) application/json
"{\n  \"name\" : \"API Administrator\",\n  \"description\" : \"Role to allow administrative access to all Suite API methods\",\n  \"privilege-keys\" : [ \"ManageAlerts\", \"ManageAlarms\", \"ManageNotificationPlugins\" ],\n  \"system-created\" : false\n}"
string
description
Optional

The description for the role.

string
displayName
Optional

A role name suitable for display.

array of object
links
Optional

Represents a HTTP 'link' element.
It is implicit that all the link tags support http 'GET' method.

string
name
Required

The name of the role.

array of string
privilege-keys
Optional

The collection of privilege keys

boolean
system-created
Optional

True if this role was created by the system


Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"name":"string"}' https://{api_host}/suite-api/api/auth/roles
                
Auth Operations
GET
Get Current User
GET
Get Assigned Role Permissions For Current User
GET
Get Current User Role Privileges
GET
Get Available Privilege Groups
GET
Get Available Privileges
GET
Get Roles
POST
Create User Role
PUT
Update User Role
DELETE
Delete User Role
GET
Get Role By Name
DELETE
Remove Role Privileges
GET
Get Role Privileges
POST
Add Role Privileges
PUT
Set Role Privileges
DELETE
Delete Scopes
GET
Get All Object Scopes
POST
Create Scope
PUT
Modify Scope
GET
Get Scope
GET
Get Auth Sources
PATCH
Patch Auth Source With Certificate Details
POST
Add Auth Source
PUT
Update Auth Source
PATCH
Patch Test Auth Source
POST
Test Auth Source
GET
Get VIDB Well Known URL
POST
Search User Groups For Auth Source
PUT
Synchronize User Groups
POST
Import Users
POST
Search Users For Auth Source
DELETE
Delete Auth Source
GET
Get Auth Source
GET
Get Auth Source Types
GET
Get Auth Source Type
POST
Acquire Token
POST
Exchange Ops Token With Jwt Token
POST
Release Token
GET
Get Traversal Specs
DELETE
Delete User Groups
GET
Get User Groups
POST
Create User Group
PUT
Modify User Group
GET
Get Assigned Role Permissions For User Group
PUT
Assign Role Permission To User Group
DELETE
Unassigned Role Permission From User Group
PUT
Assign Traversal Spec To User Group
Deprecated
DELETE
Delete User Group
GET
Get User Group
DELETE
Delete Users
GET
Get Users
POST
Create User
PUT
Modify User
PUT
Change Password
DELETE
Delete User
GET
Get User
GET
Get Assigned Role Permissions For User
PUT
Assign Role Permission To User
DELETE
Unassigned Role Permission From User
PUT
Assign Traversal Spec To User
Deprecated